// ActionScript file containing function to enable/disable ascii filters

import com.oaxoa.fx.Asciify;

import flash.text.TextFormat;

import lib.FilterEvents.AsciiFilterEvent;


 private var _asciiEffect1:Asciify;
 private var _ascii1Enabled:Boolean = false;
 private var _asciiEffect2:Asciify;
 private var _ascii2Enabled:Boolean = false;
 private var _textFormat:TextFormat;
 private var _textColor:uint;
 
 

 private function asciiEventHandler1(event:AsciiFilterEvent):void
 {
 	if(event._enabled)
 	{
 		_textColor = event.color;
 		ascii1Enable();
 	}
 	else
 	{
 		ascii1Disable();
 	}
 		
  }
  
   private function asciiEventHandler2(event:AsciiFilterEvent):void
 {
 	if(event._enabled)
 	{
 		_textColor = event.color;
 		ascii2Enable();
 	}
 	else
 	{
 		ascii2Disable();
 	}
 		
  }


 private function ascii1Enable():void
 {
 	vid1Bmp.visible = false;
 	makeTextFormat();
 	if(this.youTubePlaying1)
 		_asciiEffect1 = new Asciify(vid1Bmp,_textFormat,6,true);
 	else
 		_asciiEffect1 = new Asciify(vid1,_textFormat,6,true);
 	this.videoUIComp.addChild(_asciiEffect1);
 	_ascii1Enabled = true;
 	
 }
 
 private function ascii1Disable():void
 {
 	vid1Bmp.visible = true;
 	_ascii1Enabled = false;
 	_asciiEffect1.disable();
 	this.videoUIComp.removeChild(_asciiEffect1);	
 }


 private function ascii2Enable():void
 {
 	vid2Bmp.visible = false;
 	makeTextFormat();
 	if(this.youTubePlaying2)
 		_asciiEffect2 = new Asciify(this.vid2Bmp,_textFormat,6,true);
 	else
 		_asciiEffect2 = new Asciify(vid2Bmp,_textFormat,6,true);
 	this.videoUIComp.addChild(_asciiEffect2);
 	_ascii2Enabled = true;
 	
 }
 
 private function ascii2Disable():void
 {
 	vid2Bmp.visible = true;
 	_ascii2Enabled = false;
 	_asciiEffect1.disable();
 	this.videoUIComp.removeChild(_asciiEffect2);
 }
 
 private function makeTextFormat():void
 {
 	 _textFormat = new TextFormat();
  	 _textFormat.font = "embeddedFont";
     _textFormat.color = _textColor;
     _textFormat.size = 16;
     _textFormat.leading = -9;
 }